Subject: Re: [MPC8272ADS]Problem adding flash partitions inside the device tree

From: Pieter <[email-masked]>
Date: Thu, 12 Feb 2009 16:08:40 +0200

Jean-Michel Hautbois wrote:
> 2009/2/12 David Gibson <[email-masked]
> <mailto:[email-masked]>>
>
>     On Thu, Feb 12, 2009 at 12:10:58PM +0100, Jean-Michel Hautbois wrote:
>     > 2009/2/12 Pieter <[email-masked]
>     <mailto:[email-masked]>>
>     >
>     > > Jean-Michel Hautbois wrote:
>     > > > Warning (reg_format): "reg" property in
>     > > > /localbus@f0010100/flash@0,0/partition@ff800000 has invalid
>     length (8
>     > > > JM
>     > > You are missing some definitions, The #address-cells and
>     #size-cells = <1>;
>     > > tis is a snippet of teh dts i defined for my board.
>     > >
>     > >        flash@0,0 {
>     > >            #address-cells = <1>;
>     > >            #size-cells = <1>;
>     > >            compatible = "cfi-flash";
>     > >            reg = <0x0 0x0 0x08000000>;
>     > >             bank-width = <4>;
>     > >            device-width = <1>;
>     > >
>     > >             /* set flash partition to correspond tu mtd parts in
>     > > u-boot*/
>     > >            /*     0xf8000000 */
>     > >            partition@0x0 {
>     > >                label = "factory-image";
>     > >                reg = <0x00000000 0x01000000>;
>     > >            };
>     > >            /*     0xf9000000 */
>     > >            partition@0x01000000 {
>     > >                label = "app-image-1";
>     > >                reg = <0x01000000 0x01000000>;
>     > >            };
>     > > cheers pieter
>     > >
>     >
>     > Hi do have these definitions, at a higher level:
>
>     The address-cells and size-cells definitions are not inherited.  They
>     cover only the immediate children of the node where they appear.
>     Otherwise the default values apply (address-cells == 2, size-cells ==
>     1), which are not right for your case.
>
>     --
>     David Gibson                    | I'll have my music baroque, and
>     my code
>     david AT gibson.dropbear.id.au <http://gibson.dropbear.id.au>  |
>     minimalist, thank you.  NOT _the_ _other_
>                                    | _way_ _around_!
>     http://www.ozlabs.org/~dgibson <http://www.ozlabs.org/%7Edgibson>
>
> OK, so, after having tested, I can't see any changes when booting.
> I do not have more mtd in /proc/mtd.
>
> JM
have you defined the following in your kernel  config

CONFIG_MTD_PHYSMAP_OF=y
CONFIG_MTD_PARTITIONS=y
CONFIG_MTD_OF_PARTS=y

cheers pieter